head	1.1;
branch	1.1.1;
access;
symbols
	netbsd-11-0-RC5:1.1.1.1
	netbsd-11-0-RC4:1.1.1.1
	PFIX-3-11-2:1.1.1.1
	netbsd-11-0-RC3:1.1.1.1
	netbsd-11-0-RC2:1.1.1.1
	netbsd-11-0-RC1:1.1.1.1
	perseant-exfatfs:1.1.1.1.0.4
	perseant-exfatfs-base-20250801:1.1.1.1
	netbsd-11:1.1.1.1.0.2
	netbsd-11-base:1.1.1.1
	PFIX-3-10-1:1.1.1.1
	VENEMA:1.1.1;
locks; strict;
comment	@# @;


1.1
date	2025.02.25.19.11.39;	author christos;	state Exp;
branches
	1.1.1.1;
next	;
commitid	cLFKwpXD6DqXOSKF;

1.1.1.1
date	2025.02.25.19.11.39;	author christos;	state Exp;
branches
	1.1.1.1.4.1;
next	;
commitid	cLFKwpXD6DqXOSKF;

1.1.1.1.4.1
date	2025.02.25.19.11.39;	author perseant;	state dead;
branches;
next	1.1.1.1.4.2;
commitid	23j6GFaDws3O875G;

1.1.1.1.4.2
date	2025.08.02.05.49.57;	author perseant;	state Exp;
branches;
next	;
commitid	23j6GFaDws3O875G;


desc
@@


1.1
log
@Initial revision
@
text
@#!/bin/sh

version=$(basename $(env - pwd)) || exit 1
case "$version" in
postfix-[0-9]*.[0-9]*.[0-9]*) 
    test -f conf/makedefs.out || {
	echo "Error: no conf/makedefs.out" 1>&2; exit 1; }
    grep 'CCARGS.*-DSNAPSHOT' conf/makedefs.out && {
	echo "Error: stable release builds with -DSNAPSHOT" 1>&2; exit 1; }
    grep 'CCARGS.*-DNONPROD' conf/makedefs.out && {
	echo "Error: stable release builds with -DNONPROD" 1>&2; exit 1; }
    mail_version=$(sh postfix-env.sh bin/postconf -h mail_version) || exit 1
    test "postfix-$mail_version" = "$version" || {
	echo "Error: version '$mail_version' in src/global/mail_version.h does not match version in pathname '$(env - pwd)'" 1>&2; exit 1; }
    ;;
postfix-[0-9]*.[0-9]*-*nonprod*)
    grep 'CCARGS.*-DNONPROD' conf/makedefs.out || {
	echo "Error: non-prod release builds without -DNONPROD" 1>&2; exit 1; }
    mail_version=$(sh postfix-env.sh bin/postconf -h mail_version) || exit 1
    test "postfix-$mail_version" = "$version" || {
	echo "Error: version '$mail_version' in src/global/mail_version.h does not match version in pathname '$(env - pwd)'" 1>&2; exit 1; }
    ;;
postfix-[0-9]*.[0-9]*-*)
    grep 'CCARGS.*-DNONPROD' conf/makedefs.out && {
	echo "Error: snapshot release builds with -DNONPROD" 1>&2; exit 1; }
    mail_version=$(sh postfix-env.sh bin/postconf -h mail_version) || exit 1
    test "postfix-$mail_version" = "$version" || {
	echo "Error: version '$mail_version' in src/global/mail_version.h does not match version in pathname '$(env - pwd)'" 1>&2; exit 1; }
    ;;
esac
@


1.1.1.1
log
@Import postfix-3.10.1 (previous was 3.8.4)

Summary:

Postfix 3.9 (July 2022): This release focused on enhancing the TLS
(Transport Layer Security) capabilities of Postfix. It introduced
support for TLSv1.3, allowing for more secure and efficient encrypted
communications. Additionally, improvements were made to the handling
of TLSA records, which are used in DNS-based Authentication of
Named Entities (DANE) to associate TLS certificates with domain
names.

Postfix 3.10 (July 2023): This version brought significant updates
to Postfix's SMTP (Simple Mail Transfer Protocol) functionalities.
It added support for the SMTPUTF8 extension, enabling the use of
UTF-8 encoding in email addresses and headers, which is essential
for internationalization. The release also included performance
optimizations, particularly in the handling of large mail queues,
and introduced new configuration parameters to provide administrators
with finer control over mail processing.

The changes are described more in detail in:
3.10 changes: RELEASE_NOTES
3.9  changes: RELEASE_NOTES_3.9
3.8  changes: RELEASE_NOTES_3.8
@
text
@@


1.1.1.1.4.1
log
@file check-snapshot-nonprod was added on branch perseant-exfatfs on 2025-08-02 05:49:57 +0000
@
text
@d1 30
@


1.1.1.1.4.2
log
@Sync with HEAD
@
text
@a0 30
#!/bin/sh

version=$(basename $(env - pwd)) || exit 1
case "$version" in
postfix-[0-9]*.[0-9]*.[0-9]*) 
    test -f conf/makedefs.out || {
	echo "Error: no conf/makedefs.out" 1>&2; exit 1; }
    grep 'CCARGS.*-DSNAPSHOT' conf/makedefs.out && {
	echo "Error: stable release builds with -DSNAPSHOT" 1>&2; exit 1; }
    grep 'CCARGS.*-DNONPROD' conf/makedefs.out && {
	echo "Error: stable release builds with -DNONPROD" 1>&2; exit 1; }
    mail_version=$(sh postfix-env.sh bin/postconf -h mail_version) || exit 1
    test "postfix-$mail_version" = "$version" || {
	echo "Error: version '$mail_version' in src/global/mail_version.h does not match version in pathname '$(env - pwd)'" 1>&2; exit 1; }
    ;;
postfix-[0-9]*.[0-9]*-*nonprod*)
    grep 'CCARGS.*-DNONPROD' conf/makedefs.out || {
	echo "Error: non-prod release builds without -DNONPROD" 1>&2; exit 1; }
    mail_version=$(sh postfix-env.sh bin/postconf -h mail_version) || exit 1
    test "postfix-$mail_version" = "$version" || {
	echo "Error: version '$mail_version' in src/global/mail_version.h does not match version in pathname '$(env - pwd)'" 1>&2; exit 1; }
    ;;
postfix-[0-9]*.[0-9]*-*)
    grep 'CCARGS.*-DNONPROD' conf/makedefs.out && {
	echo "Error: snapshot release builds with -DNONPROD" 1>&2; exit 1; }
    mail_version=$(sh postfix-env.sh bin/postconf -h mail_version) || exit 1
    test "postfix-$mail_version" = "$version" || {
	echo "Error: version '$mail_version' in src/global/mail_version.h does not match version in pathname '$(env - pwd)'" 1>&2; exit 1; }
    ;;
esac
@


